Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.daemon.platform
Class NativeFileSystemProvider

    java.lang.Object
      com.sshtools.daemon.platform.NativeFileSystemProvider

Direct Known Subclasses:
  VirtualFileSystem

public abstract class NativeFileSystemProvider
extends java.lang.Object

DOCUMENT ME!

Field Summary
`static int` | `OPEN_APPEND` DOCUMENT ME!
`static int` | `OPEN_CREATE` DOCUMENT ME!
`static int` | `OPEN_EXCLUSIVE` DOCUMENT ME!
`static int` | `OPEN_READ` DOCUMENT ME!
`static int` | `OPEN_TRUNCATE` DOCUMENT ME!
`static int` | `OPEN_WRITE` DOCUMENT ME!

Constructor Summary
`NativeFileSystemProvider()`

Method Summary
`abstract void` | `closeFile(byte[] handle)` DOCUMENT ME!
`abstract void` | `createSymbolicLink(java.lang.String link, java.lang.String target)` DOCUMENT ME!
`abstract boolean` | `fileExists(java.lang.String path)` DOCUMENT ME!
`abstract java.lang.String` | `getCanonicalPath(java.lang.String path)` DOCUMENT ME!
`abstract FileAttributes` | `getFileAttributes(byte[] handle)` DOCUMENT ME!
`abstract FileAttributes` | `getFileAttributes(java.lang.String path)` DOCUMENT ME!
`static NativeFileSystemProvider` | `getInstance()` DOCUMENT ME!
`abstract java.lang.String` | `getRealPath(java.lang.String path)` DOCUMENT ME!
`abstract boolean` | `makeDirectory(java.lang.String path)` DOCUMENT ME!
`abstract byte[]` | `openDirectory(java.lang.String path)` DOCUMENT ME!
`abstract byte[]` | `openFile(java.lang.String path, UnsignedInteger32 flags, FileAttributes attrs)` DOCUMENT ME!
`abstract SftpFile[]` | `readDirectory(byte[] handle)` DOCUMENT ME!
`abstract byte[]` | `readFile(byte[] handle, UnsignedInteger64 offset, UnsignedInteger32 len)` DOCUMENT ME!
`abstract SftpFile` | `readSymbolicLink(java.lang.String path)` DOCUMENT ME!
`abstract void` | `removeDirectory(java.lang.String path)` DOCUMENT ME!
`abstract void` | `removeFile(java.lang.String path)` DOCUMENT ME!
`abstract void` | `renameFile(java.lang.String oldpath, java.lang.String newpath)` DOCUMENT ME!
`abstract void` | `setFileAttributes(byte[] handle, FileAttributes attrs)` DOCUMENT ME!
`abstract void` | `setFileAttributes(java.lang.String path, FileAttributes attrs)` DOCUMENT ME!
`abstract void` | `verifyPermissions(java.lang.String username, java.lang.String path, java.lang.String permissions)` DOCUMENT ME!
`abstract void` | `writeFile(byte[] handle, UnsignedInteger64 offset, byte[] data, int off, int len)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPEN_READ

    public static final int OPEN_READ

  DOCUMENT ME!

  See Also:
    Constant Field Values

### OPEN_WRITE

    public static final int OPEN_WRITE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### OPEN_APPEND

    public static final int OPEN_APPEND

  DOCUMENT ME!

  See Also:
    Constant Field Values

### OPEN_CREATE

    public static final int OPEN_CREATE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### OPEN_TRUNCATE

    public static final int OPEN_TRUNCATE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### OPEN_EXCLUSIVE

    public static final int OPEN_EXCLUSIVE

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### NativeFileSystemProvider

    public NativeFileSystemProvider()

Method Detail

### fileExists

    public abstract boolean fileExists(java.lang.String path)
                                throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `path` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `PermissionDeniedException` - DOCUMENT ME!
    `java.io.FileNotFoundException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!

### getCanonicalPath

    public abstract java.lang.String getCanonicalPath(java.lang.String path)
                                               throws java.io.IOException,
                                                      java.io.FileNotFoundException

  DOCUMENT ME!

  Parameters:
    `path` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `PermissionDeniedException` - DOCUMENT ME!
    `java.io.FileNotFoundException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!

### getRealPath

    public abstract java.lang.String getRealPath(java.lang.String path)
                                          throws java.io.FileNotFoundException

  DOCUMENT ME!

  Parameters:
    `path` - DOCUMENT ME! *
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.FileNotFoundException` - DOCUMENT ME!

### makeDirectory

    public abstract boolean makeDirectory(java.lang.String path)
                                   throws PermissionDeniedException,
                                          java.io.FileNotFoundException,
                                          java.io.IOException

  DOCUMENT ME!

  Parameters:
    `path` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `PermissionDeniedException` - DOCUMENT ME!
    `java.io.FileNotFoundException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!

### getFileAttributes

    public abstract FileAttributes getFileAttributes(java.lang.String path)
                                              throws java.io.IOException,
                                                     java.io.FileNotFoundException

  DOCUMENT ME!

  Parameters:
    `path` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `java.io.FileNotFoundException` - DOCUMENT ME!

### getFileAttributes

    public abstract FileAttributes getFileAttributes(byte[] handle)
                                              throws java.io.IOException,
                                                     InvalidHandleException

  DOCUMENT ME!

  Parameters:
    `handle` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `InvalidHandleException` - DOCUMENT ME!

### openDirectory

    public abstract byte[] openDirectory(java.lang.String path)
                                  throws PermissionDeniedException,
                                         java.io.FileNotFoundException,
                                         java.io.IOException

  DOCUMENT ME!

  Parameters:
    `path` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `PermissionDeniedException` - DOCUMENT ME!
    `java.io.FileNotFoundException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!

### readDirectory

    public abstract SftpFile[] readDirectory(byte[] handle)
                                      throws InvalidHandleException,
                                             java.io.EOFException,
                                             java.io.IOException

  DOCUMENT ME!

  Parameters:
    `handle` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `InvalidHandleException` - DOCUMENT ME!
    `java.io.EOFException` - DOCUMENT ME!
    `java.io.IOException`

### openFile

    public abstract byte[] openFile(java.lang.String path,
                                    UnsignedInteger32 flags,
                                    FileAttributes attrs)
                             throws PermissionDeniedException,
                                    java.io.FileNotFoundException,
                                    java.io.IOException

  DOCUMENT ME!

  Parameters:
    `path` - DOCUMENT ME!
    `flags` - DOCUMENT ME!
    `attrs` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `PermissionDeniedException` - DOCUMENT ME!
    `java.io.FileNotFoundException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!

### readFile

    public abstract byte[] readFile(byte[] handle,
                                    UnsignedInteger64 offset,
                                    UnsignedInteger32 len)
                             throws InvalidHandleException,
                                    java.io.EOFException,
                                    java.io.IOException

  DOCUMENT ME!

  Parameters:
    `handle` - DOCUMENT ME!
    `offset` - DOCUMENT ME!
    `len` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `InvalidHandleException` - DOCUMENT ME!
    `java.io.EOFException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!

### writeFile

    public abstract void writeFile(byte[] handle,
                                   UnsignedInteger64 offset,
                                   byte[] data,
                                   int off,
                                   int len)
                            throws InvalidHandleException,
                                   java.io.IOException

  DOCUMENT ME!

  Parameters:
    `handle` - DOCUMENT ME!
    `offset` - DOCUMENT ME!
    `data` - DOCUMENT ME!
    `off` - DOCUMENT ME!
    `len` - DOCUMENT ME!
  Throws:
    `InvalidHandleException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!

### closeFile

    public abstract void closeFile(byte[] handle)
                            throws InvalidHandleException,
                                   java.io.IOException

  DOCUMENT ME!

  Parameters:
    `handle` - DOCUMENT ME!
  Throws:
    `InvalidHandleException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!

### removeFile

    public abstract void removeFile(java.lang.String path)
                             throws PermissionDeniedException,
                                    java.io.IOException,
                                    java.io.FileNotFoundException

  DOCUMENT ME!

  Parameters:
    `path` - DOCUMENT ME!
  Throws:
    `PermissionDeniedException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!
    `java.io.FileNotFoundException` - DOCUMENT ME!

### renameFile

    public abstract void renameFile(java.lang.String oldpath,
                                    java.lang.String newpath)
                             throws PermissionDeniedException,
                                    java.io.FileNotFoundException,
                                    java.io.IOException

  DOCUMENT ME!

  Parameters:
    `oldpath` - DOCUMENT ME!
    `newpath` - DOCUMENT ME!
  Throws:
    `PermissionDeniedException` - DOCUMENT ME!
    `java.io.FileNotFoundException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!

### removeDirectory

    public abstract void removeDirectory(java.lang.String path)
                                  throws PermissionDeniedException,
                                         java.io.FileNotFoundException,
                                         java.io.IOException

  DOCUMENT ME!

  Parameters:
    `path` - DOCUMENT ME!
  Throws:
    `PermissionDeniedException` - DOCUMENT ME!
    `java.io.FileNotFoundException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!

### setFileAttributes

    public abstract void setFileAttributes(java.lang.String path,
                                           FileAttributes attrs)
                                    throws PermissionDeniedException,
                                           java.io.IOException,
                                           java.io.FileNotFoundException

  DOCUMENT ME!

  Parameters:
    `path` - DOCUMENT ME!
    `attrs` - DOCUMENT ME!
  Throws:
    `PermissionDeniedException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!
    `java.io.FileNotFoundException` - DOCUMENT ME!

### setFileAttributes

    public abstract void setFileAttributes(byte[] handle,
                                           FileAttributes attrs)
                                    throws PermissionDeniedException,
                                           java.io.IOException,
                                           InvalidHandleException

  DOCUMENT ME!

  Parameters:
    `handle` - DOCUMENT ME!
    `attrs` - DOCUMENT ME!
  Throws:
    `PermissionDeniedException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!
    `InvalidHandleException` - DOCUMENT ME!

### readSymbolicLink

    public abstract SftpFile readSymbolicLink(java.lang.String path)
                                       throws UnsupportedFileOperationException,
                                              java.io.FileNotFoundException,
                                              java.io.IOException,
                                              PermissionDeniedException

  DOCUMENT ME!

  Parameters:
    `path` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `UnsupportedFileOperationException` - DOCUMENT ME!
    `java.io.FileNotFoundException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!
    `PermissionDeniedException` - DOCUMENT ME!

### createSymbolicLink

    public abstract void createSymbolicLink(java.lang.String link,
                                            java.lang.String target)
                                     throws UnsupportedFileOperationException,
                                            java.io.FileNotFoundException,
                                            java.io.IOException,
                                            PermissionDeniedException

  DOCUMENT ME!

  Parameters:
    `link` - DOCUMENT ME!
    `target` - DOCUMENT ME!
  Throws:
    `UnsupportedFileOperationException` - DOCUMENT ME!
    `java.io.FileNotFoundException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!
    `PermissionDeniedException` - DOCUMENT ME!

### verifyPermissions

    public abstract void verifyPermissions(java.lang.String username,
                                           java.lang.String path,
                                           java.lang.String permissions)
                                    throws PermissionDeniedException,
                                           java.io.FileNotFoundException,
                                           java.io.IOException

  DOCUMENT ME!

  Parameters:
    `username` - DOCUMENT ME!
    `path` - DOCUMENT ME!
    `permissions` - DOCUMENT ME!
  Throws:
    `PermissionDeniedException` - DOCUMENT ME!
    `java.io.FileNotFoundException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!

### getInstance

    public static NativeFileSystemProvider getInstance()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD